Loading ...
Sorry, an error occurred while loading the content.

Re: [nslu2-linux] Re: Can't Get Upgrade to Samba 3.2.x Working

Expand Messages
  • Robert Hammond
    In message , nemesisdb writes ... The NSLU2 webgui can be used to add users to Linux and shares to Linux and the
    Message 1 of 5 , Sep 8, 2008
    • 0 Attachment
      In message <ga21fa+100iu@...>, nemesisdb <dbryan05@...>
      writes
      >Thank you so much for your help. That solved the problem and I can
      >connect again! You're amazing.
      >
      >Hopefully you won't mind two follow-up questions.
      >
      >1) Do I need to create a diversion script as mentioned in the wiki?
      >I am somewhat concerned about the files being "replaced" when the
      >unit is powered off as seems to be mentioned for at least some users -
      >- others suggest that this may not be needed for newer samba versions.
      >
      >2) Is it still possible to use the webGUI to make changes to shares
      >and users? I tried previously (a day or so ago) before I had it
      >fully working and the changes I made seemed to only effect the
      >old /etc/samba/smb.conf file (instead of the file in /opt/etc/samba).
      >
      >
      The NSLU2 webgui can be used to add users to Linux and shares to Linux
      and the default NSLU2 Samba2, but the webgui will not update the
      /opt/etc/samba/smb.conf file that Samba3 uses.

      But you can use Swat for this.

      I think the installation instructions are :-

      ipkg install xinetd
      ipkg install samba3-swat

      then re-start xinetd
      /opt/etc/init.d/S10xinetd restart

      http://192.168.20.180:901


      Suggest that you also read through the xinetd wiki page

      <http://www.nslu2-linux.org/wiki/Optware/Xinetd>



      --
      Robert Hammond
      PGP:0x154144DA
    • iZERO
      I have a problem to initiate samba 3 after I upgraded, too. I tried changing the charset to UTF-8, and the gconv-modules was also installed. (the OS is unslug)
      Message 2 of 5 , Apr 26 6:08 AM
      • 0 Attachment
        I have a problem to initiate samba 3 after I upgraded, too.
        I tried changing the charset to UTF-8, and the gconv-modules was also
        installed.
        (the OS is unslug)

        the error log is:
        source/lib/interface.c:load_interfaces(523)
        ERROR: Could not determine network interfaces, you must use a interfaces
        config line

        I also added these two lines in the global section of my smb.conf. however,
        still not work.
        interfaces = 192.168.1.77/24, ixp0, lo
        bind interfaces = ixp0

        Any help will be ppreciated.

        iZERO


        qhtip wrote:
        >
        > I had a tough time getting samba to work. Finally, follow instruction here
        > with install gconv-modules and add
        >
        > display charset = UTF8
        > dos charset = UTF8
        > unix charset = UTF8
        >
        > to smb.conf file
        >
        > to make it work. I still unable to get the swat going after install (blank
        > page)
        >
        > I am using openslug, not unslung though.
        >
        > Hope this help
        >
        > qhtip
        >

        --
        View this message in context: http://www.nabble.com/Can%27t-Get-Upgrade-to-Samba-3.2.x-Working-tp19361476p23238838.html
        Sent from the Nslu2 - Linux mailing list archive at Nabble.com.
      Your message has been successfully submitted and would be delivered to recipients shortly.